<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="en">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="3a504426fb1880a5" weblate-flags="read-only">
        <source>BodyReader</source>
        <target state="translated">BodyReader</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">10</context>
        </context-group>
        <note from="developer">type: section title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="afd2fc2cacfebde9" weblate-flags="read-only">
        <source>A [*BodyReader] provides an online algorithm to transfer a series of zero or more buffers containing parsed body octets into a message container. The __parser__ creates an instance of this type when needed, and calls into it zero or more times to transfer buffers. The interface of [*BodyReader] is intended to allow the conversion of buffers into these scenarios for representation:</source>
        <target state="translated">A [*BodyReader] provides an online algorithm to transfer a series of zero or more buffers containing parsed body octets into a message container. The __parser__ creates an instance of this type when needed, and calls into it zero or more times to transfer buffers. The interface of [*BodyReader] is intended to allow the conversion of buffers into these scenarios for representation:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">12</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2f1b5fc907cd0ea4" weblate-flags="read-only">
        <source>* Storing a body in a dynamic buffer
* Storing a body in a user defined container with a custom allocator
* Transformation of incoming body data before storage, for example</source>
        <target state="translated">* Storing a body in a dynamic buffer
* Storing a body in a user defined container with a custom allocator
* Transformation of incoming body data before storage, for example</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">19</context>
        </context-group>
        <note from="developer">type: list</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="616141b5798e2a62" weblate-flags="read-only">
        <source>* Saving body data to a file</source>
        <target state="translated">* Saving body data to a file</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">23</context>
        </context-group>
        <note from="developer">type: list</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f3a497a2277c8436" weblate-flags="read-only">
        <source>Associated Types</source>
        <target state="translated">Associated Types</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: heading</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b9ed8edbaac5bb60" weblate-flags="read-only">
        <source>* [link beast.ref.boost__beast__http__is_body_reader `is_body_reader`]
* __Body__</source>
        <target state="translated">* [link beast.ref.boost__beast__http__is_body_reader `is_body_reader`]
* __Body__</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">27</context>
        </context-group>
        <note from="developer">type: list</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="8b11f6ce20c469c2" weblate-flags="read-only">
        <source>Requirements</source>
        <target state="translated">Requirements</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">30</context>
        </context-group>
        <note from="developer">type: heading</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9dbb5aa5deff0697" weblate-flags="read-only">
        <source>These requirements may undergo non-backward compatible</source>
        <target state="translated">These requirements may undergo non-backward compatible</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">33</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="3d4704df21a8f596" weblate-flags="read-only">
        <source>In this table:</source>
        <target state="translated">In this table:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">37</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="df5a66af82ad2f9e" weblate-flags="read-only">
        <source>* `R` denotes a type meeting the requirements of [*BodyReader].
* `B` denotes a __Body__ where</source>
        <target state="translated">* `R` denotes a type meeting the requirements of [*BodyReader].
* `B` denotes a __Body__ where</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">39</context>
        </context-group>
        <note from="developer">type: list</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="864173f50f29f751" weblate-flags="read-only">
        <source>* `a` denotes a value of type `R`.
* `b` is an object whose type meets the requirements of __ConstBufferSequence__
* `h` denotes a value of type `header&lt;isRequest, Fields&gt;&amp;`.
* `v` denotes a value of type `Body::value_type&amp;`.
* `n` is a value of type `boost::optional&lt;std::uint64_t&gt;`.
* `ec` is a value of type [link beast.ref.boost__beast__error_code `error_code&amp;`].</source>
        <target state="translated">* `a` denotes a value of type `R`.
* `b` is an object whose type meets the requirements of __ConstBufferSequence__
* `h` denotes a value of type `header&lt;isRequest, Fields&gt;&amp;`.
* `v` denotes a value of type `Body::value_type&amp;`.
* `n` is a value of type `boost::optional&lt;std::uint64_t&gt;`.
* `ec` is a value of type [link beast.ref.boost__beast__error_code `error_code&amp;`].</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">42</context>
        </context-group>
        <note from="developer">type: list</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f2992975a033cf9f" weblate-flags="read-only">
        <source>Valid expressions</source>
        <target state="translated">Valid expressions</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">49</context>
        </context-group>
        <note from="developer">type: table title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="8d4d85b75b66a390" weblate-flags="read-only">
        <source>Expression</source>
        <target state="translated">Expression</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">49</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4260caf7dbb163c2" weblate-flags="read-only">
        <source>Type</source>
        <target state="translated">Type</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">49</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e9c35981ac872e45" weblate-flags="read-only">
        <source>Semantics, Pre/Post-conditions</source>
        <target state="translated">Semantics, Pre/Post-conditions</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">49</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ce41bc615f80f998" weblate-flags="read-only">
        <source>`R{h,v};`</source>
        <target state="translated">`R{h,v};`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">49</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c09078a077aaca59" weblate-flags="read-only">
        <source>Constructible from `h` and `v`. The lifetime of `h` and `v` is guaranteed to end no earlier than after the `R` is destroyed. The reader shall not access the contents of `h` or `v` before the first call to `init`, permitting lazy construction of the message.</source>
        <target state="translated">Constructible from `h` and `v`. The lifetime of `h` and `v` is guaranteed to end no earlier than after the `R` is destroyed. The reader shall not access the contents of `h` or `v` before the first call to `init`, permitting lazy construction of the message.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">49</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="61036687eba5afe9" weblate-flags="read-only">
        <source>`a.init(n, ec)`</source>
        <target state="translated">`a.init(n, ec)`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">49</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e7f87cbfb96943f9" weblate-flags="read-only">
        <source>Called once to fully initialize the object before any calls to `put`. The message body is valid before entering this function, and remains valid until the reader is destroyed. The value of `n` will be set to the content length of the body if known, otherwise `n` will be equal to `boost::none`. Implementations of [*BodyReader] may use this information to optimize allocation.

The function will ensure that `!ec` is `true` if there was no error or set to the appropriate error code if there was one.</source>
        <target state="translated">Called once to fully initialize the object before any calls to `put`. The message body is valid before entering this function, and remains valid until the reader is destroyed. The value of `n` will be set to the content length of the body if known, otherwise `n` will be equal to `boost::none`. Implementations of [*BodyReader] may use this information to optimize allocation.

The function will ensure that `!ec` is `true` if there was no error or set to the appropriate error code if there was one.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">49</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="602917ec376b0890" weblate-flags="read-only">
        <source>`a.put(b,ec)`</source>
        <target state="translated">`a.put(b,ec)`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">49</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f5841895aee27bd6" weblate-flags="read-only">
        <source>`std::size_t`</source>
        <target state="translated">`std::size_t`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">49</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d2c064b3b702927e" weblate-flags="read-only">
        <source>This function is called to append some or all of the buffers specified by `b` into the body representation. The number of bytes inserted from `b` is returned. If the number of bytes inserted is less than the total input, the remainder of the input will be presented in the next call to `put`. The function will ensure that `!ec` is `true` if there was no error or set to the appropriate error code if there was one.</source>
        <target state="translated">This function is called to append some or all of the buffers specified by `b` into the body representation. The number of bytes inserted from `b` is returned. If the number of bytes inserted is less than the total input, the remainder of the input will be presented in the next call to `put`. The function will ensure that `!ec` is `true` if there was no error or set to the appropriate error code if there was one.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">49</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="dc67d01347d11fee" weblate-flags="read-only">
        <source>`a.finish(ec)`</source>
        <target state="translated">`a.finish(ec)`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">49</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a52245b6f13cb875" weblate-flags="read-only">
        <source>This function is called when no more body octets are remaining. The function will ensure that `!ec` is `true` if there was no error or set to the appropriate error code if there was one.</source>
        <target state="translated">This function is called when no more body octets are remaining. The function will ensure that `!ec` is `true` if there was no error or set to the appropriate error code if there was one.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">49</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a2eacc2227126512" weblate-flags="read-only">
        <source>`is_body_reader&lt;B&gt;`</source>
        <target state="translated">`is_body_reader&lt;B&gt;`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">49</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="31d48605e99012d6" weblate-flags="read-only">
        <source>`std::true_type`</source>
        <target state="translated">`std::true_type`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">49</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="6907d300888c752a" weblate-flags="read-only">
        <source>An alias for `std::true_type` for `B`, otherwise an alias for `std::false_type`.</source>
        <target state="translated">An alias for `std::true_type` for `B`, otherwise an alias for `std::false_type`.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">49</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="224a3e920796d4a5" weblate-flags="read-only">
        <source>Exemplar</source>
        <target state="translated">Exemplar</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">105</context>
        </context-group>
        <note from="developer">type: heading</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="fa69553690b47eb3" weblate-flags="read-only">
        <source>Models</source>
        <target state="translated">Models</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: heading</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="88de56244f756ab7" weblate-flags="read-only">
        <source>* [link beast.ref.boost__beast__http__basic_dynamic_body.reader `basic_dynamic_body::reader`]
* [link beast.ref.boost__beast__http__basic_file_body__reader `basic_file_body::reader`]
* [link beast.ref.boost__beast__http__basic_string_body.reader `basic_string_body::reader`]
* [link beast.ref.boost__beast__http__buffer_body.reader `buffer_body::reader`]
* [link beast.ref.boost__beast__http__empty_body.reader `empty_body::reader`]
* [link beast.ref.boost__beast__http__span_body.reader `span_body::reader`]
* [link beast.ref.boost__beast__http__vector_body.reader `vector_body::reader`]</source>
        <target state="translated">* [link beast.ref.boost__beast__http__basic_dynamic_body.reader `basic_dynamic_body::reader`]
* [link beast.ref.boost__beast__http__basic_file_body__reader `basic_file_body::reader`]
* [link beast.ref.boost__beast__http__basic_string_body.reader `basic_string_body::reader`]
* [link beast.ref.boost__beast__http__buffer_body.reader `buffer_body::reader`]
* [link beast.ref.boost__beast__http__empty_body.reader `empty_body::reader`]
* [link beast.ref.boost__beast__http__span_body.reader `span_body::reader`]
* [link beast.ref.boost__beast__http__vector_body.reader `vector_body::reader`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">111</context>
        </context-group>
        <note from="developer">type: list</note>
      </trans-unit>
    </body>
  </file>
</xliff>
